Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Interface PropertyConstants

public interface PropertyConstants

Defines constants used by various BC4J properties.

The property names are defined in PropertyMetadata

Since:
  JDeveloper 3.1

Field Summary
`static java.lang.String` | `ADFM_MOM_CACHE_SCOPE`
`static java.lang.String` | `ADFM_MOM_USES_MDS`
`static java.lang.String` | `AM_RELEASE_DEFAULT`
`static java.lang.String` | `AM_RELEASE_MODE`
`static java.lang.String` | `AM_RELEASE_RESERVED`
`static java.lang.String` | `AM_RELEASE_STATEFUL`
`static java.lang.String` | `AM_RELEASE_STATELESS`
`static java.lang.String` | `AMPOOL_CONNECTION_STRATEGY_CLASS_NAME`
`static java.lang.String` | `AMPOOL_COOKIE_FACTORY_CLASS_NAME`
`static java.lang.String` | `AMPOOL_DO_AM_POOLING_DEFAULT`
`static java.lang.String` | `AMPOOL_DYNAMIC_JDBC_CREDENTIALS`
`static java.lang.String` | `AMPOOL_INIT_POOL_SIZE_DEFAULT`
`static java.lang.String` | `AMPOOL_IS_USE_EXCLUSIVE_DEFAULT`
`static java.lang.String` | `AMPOOL_MAX_AVAIL_SIZE_DEFAULT`
`static java.lang.String` | `AMPOOL_MAX_INACTIVE_AGE_DEFAULT`
`static java.lang.String` | `AMPOOL_MAX_POOL_SIZE_DEFAULT`
`static java.lang.String` | `AMPOOL_MIN_AVAIL_SIZE_DEFAULT`
`static java.lang.String` | `AMPOOL_MONITOR_SLEEP_INTERVAL_DEFAULT`
`static java.lang.String` | `AMPOOL_REMOTE_COOKIE_FACTORY_CLASS_NAME`
`static java.lang.String` | `AMPOOL_RESET_NON_TRANSACTIONAL_STATE`
`static java.lang.String` | `AMPOOL_TIME_TO_LIVE_DEFAULT`
`static java.lang.String` | `AMPOOL_WRITE_COOKIE_TO_CLIENT`
`static java.lang.String` | `APPMODULE_JNDI_NAME`
`static java.lang.String` | `BC4J_CONNECT_FAILOVER_DEFAULT`
`static java.lang.String` | `BEAN_MANAGED_TRANSACTION`
`static java.lang.String` | `BEANMANAGED_SERVICE_SB`
`static java.lang.String` | `BEANMANAGED_SESSIONBEAN`
`static java.lang.String` | `CONTAINER_MANAGED_TRANSACTION`
`static java.lang.String` | `CONTAINERMANAGED_SERVICE_SB`
`static java.lang.String` | `CONTAINERMANAGED_SESSIONBEAN`
`static java.lang.String` | `DB2`
`static java.lang.String` | `DEFAULT`
`static java.lang.String` | `DEFAULT_CONTROL_TABLE_NAME`
`static java.lang.String` | `DEFAULT_DBTIME_QUERY`
`static int` | `DEFAULT_MAX_ACTIVE_NODES`
`static int` | `DEFAULT_MAX_ROWS_PER_NODE`
`static java.lang.String` | `DEFAULT_SQL92_LOCKTRAILER`
`static java.lang.String` | `DEFAULT_TXN_SEQ_INC`
`static java.lang.String` | `DEFAULT_TXN_SEQ_NAME`
`static java.lang.String` | `DEFAULT_TXN_TABLE_NAME`
`static java.lang.String` | `DO_CONNECTION_POOLING_DEFAULT`
`static java.lang.String` | `DO_FAILOVER_DEFAULT`
`static java.lang.String` | `DOMAIN_BIND_SQL_DATE`
`static java.lang.String` | `DOMAIN_DATE_SUPPRESS_ZERO`
`static java.lang.String` | `DYNAMIC_PKG_NAME`
`static int` | `EJB_SERVER_VENDOR_IAS`
`static int` | `EJB_SERVER_VENDOR_UNKNOWN`
`static int` | `EJB_SERVER_VENDOR_WEBLOGIC`
`static java.lang.String` | `EJB_TXN_TYPE_GLOBAL`
`static java.lang.String` | `EJB_TXN_TYPE_LOCAL`
`static java.lang.String` | `ENV_AMPOOL_CONNECTION_STRATEGY_CLASS_NAME`
`static java.lang.String` | `ENV_AMPOOL_COOKIE_FACTORY_CLASS_NAME`
`static java.lang.String` | `ENV_AMPOOL_DO_AM_POOLING`
`static java.lang.String` | `ENV_AMPOOL_DYNAMIC_JDBC_CREDENTIALS`
`static java.lang.String` | `ENV_AMPOOL_INIT_POOL_SIZE`
`static java.lang.String` | `ENV_AMPOOL_IS_USE_EXCLUSIVE`
`static java.lang.String` | `ENV_AMPOOL_MAX_AVAIL_SIZE`
`static java.lang.String` | `ENV_AMPOOL_MAX_INACTIVE_AGE`
`static java.lang.String` | `ENV_AMPOOL_MAX_POOL_SIZE`
`static java.lang.String` | `ENV_AMPOOL_MIN_AVAIL_SIZE`
`static java.lang.String` | `ENV_AMPOOL_MONITOR_SLEEP_INTERVAL`
`static java.lang.String` | `ENV_AMPOOL_RESET_NON_TRANSACTIONAL_STATE`
`static java.lang.String` | `ENV_AMPOOL_TIME_TO_LIVE`
`static java.lang.String` | `ENV_AMPOOL_WRITE_COOKIE_TO_CLIENT`
`static java.lang.String` | `ENV_BC4J_CONNECT_FAILOVER`
`static java.lang.String` | `ENV_CONTROL_TABLE_NAME`
`static java.lang.String` | `ENV_DBTRANSACTION_FACTORY_CLASS`
`static java.lang.String` | `ENV_DEF_MGR_LISTENER`
`static java.lang.String` | `ENV_DEFAULT_COUNTRY`
`static java.lang.String` | `ENV_DEFAULT_LANGUAGE`
`static java.lang.String` | `ENV_DEFAULT_LOCALE_VARIANT`
`static java.lang.String` | `ENV_DISCONNECT_LEVEL`
`static int` | `ENV_DISCONNECT_LEVEL_CLOSE_RESULT_SETS`
`static java.lang.String` | `ENV_DISCONNECT_LEVEL_DEFAULT`
`static int` | `ENV_DISCONNECT_LEVEL_DISCONNECT_QC`
`static int` | `ENV_DISCONNECT_LEVEL_THROW`
`static java.lang.String` | `ENV_DO_CONNECTION_POOLING`
`static java.lang.String` | `ENV_DO_FAILOVER`
`static java.lang.String` | `ENV_EJB_DISCONNECT_ON_TXN_COMPLETION`
`static java.lang.String` | `ENV_EJB_TRANSACTION_TIMEOUT`
`static java.lang.String` | `ENV_EJB_TRANSACTION_TIMEOUT_DEFAULT`
`static java.lang.String` | `ENV_EJB_TXN_TYPE`
`static java.lang.String` | `ENV_EJB_TXN_TYPE_DEFAULT`
`static java.lang.String` | `ENV_ENTITYROWSET_INCONSISTENT`
`static java.lang.String` | `ENV_ENTITYROWSET_MODE`
`static java.lang.String` | `ENV_ENTITYROWSET_NEW_AND_MODIFIED`
`static java.lang.String` | `ENV_FETCH_ALL`
`static java.lang.String` | `ENV_FETCH_AS_NEEDED`
`static java.lang.String` | `ENV_FETCH_DEFAULT`
`static java.lang.String` | `ENV_FETCH_MODE`
`static java.lang.String` | `ENV_INIT_JDBC_POOL_SIZE`
`static java.lang.String` | `ENV_JBO_EJB_SERVER_VENDOR`
`static java.lang.String` | `ENV_JBO_EJB_USE_AMPOOL`
`static java.lang.String` | `ENV_JBO_IN_OC4J`
`static java.lang.String` | `ENV_JBO_SCHEMA`
`static java.lang.String` | `ENV_JBO_SERVER_USE_NULLDBTRANSACTION`
`static java.lang.String` | `ENV_JBO_XML_VALIDATION`
`static java.lang.String` | `ENV_JDBC_POOL_MAX_AVAIL_SIZE`
`static java.lang.String` | `ENV_JDBC_POOL_MAX_INACTIVE_AGE`
`static java.lang.String` | `ENV_JDBC_POOL_MIN_AVAIL_SIZE`
`static java.lang.String` | `ENV_JDBC_POOL_MONITOR_SLEEP_INTERVAL`
`static java.lang.String` | `ENV_JDBC_POOL_REQUEST_TIMEOUT`
`static java.lang.String` | `ENV_JDBC_POOL_TIME_TO_LIVE`
`static java.lang.String` | `ENV_LOAD_COMP_LAZILY`
`static java.lang.String` | `ENV_MAX_CURSORS`
`static java.lang.String` | `ENV_MAX_JDBC_POOL_SIZE`
`static java.lang.String` | `ENV_MAX_PASSIVATION_STACK_SIZE`
`static java.lang.String` | `ENV_MAX_POOL_COOKIE_AGE`
`static java.lang.String` | `ENV_OBJ_MARSHALLER`
`static java.lang.String` | `ENV_PASSIVATION_SAVE_FOR_LATER`
`static java.lang.String` | `ENV_PASSIVATION_STORE`
`static java.lang.String` | `ENV_PCOLL_MGR`
`static java.lang.String` | `ENV_PERS_MAX_ACTIVE_NODES`
`static java.lang.String` | `ENV_PERS_MAX_ROWS_PER_NODE`
`static java.lang.String` | `ENV_POOL_CLASS_NAME`
`static java.lang.String` | `ENV_POOL_RECYCLE_THRESHOLD`
`static java.lang.String` | `ENV_SECURITY_AUTHORIZED`
`static java.lang.String` | `ENV_SECURITY_CONFIG`
`static java.lang.String` | `ENV_SECURITY_ENFORCE`
`static java.lang.String` | `ENV_SECURITY_LOGINMODULE`
`static java.lang.String` | `ENV_SESSION_CLASS`
`static java.lang.String` | `ENV_SHARED_TRANSACTION`
`static java.lang.String` | `ENV_SIMULATE_REMOTE`
`static java.lang.String` | `ENV_SNAPSHOT_STORE_UNDO`
`static java.lang.String` | `ENV_STRINGMANAGER_FACTORY_CLASS`
`static java.lang.String` | `ENV_TRANSACTION_LOCKINGMODE`
`static java.lang.String` | `ENV_TXN_HANDLE_AFTER_POST_EXC`
`static java.lang.String` | `ENV_TXN_SEQ_INC`
`static java.lang.String` | `ENV_TXN_SEQ_NAME`
`static java.lang.String` | `ENV_TXN_TABLE_NAME`
`static java.lang.String` | `ENV_USE_PERS_COLL`
`static java.lang.String` | `ENV_USER_PRINCIPAL`
`static java.lang.String` | `ENV_VIEWLINK_CONSISTENT`
`static java.lang.String` | `ENV_VIEWLINK_INCONSISTENT`
`static java.lang.String` | `ENV_VIEWLINK_MODE`
`static java.lang.String` | `ENV_VIEWLINK_MODE_DEFAULT`
`static java.lang.String` | `ENV_VO_TRACK_INSERT`
`static java.lang.String` | `FALSE`
`static java.lang.String` | `GLOBAL_SUBSTITUTION`
`static java.lang.String` | `HANDLE_NAME`
`static java.lang.String` | `INIT_JDBC_POOL_SIZE_DEFAULT`
`static java.lang.String` | `INTERNAL_CONNECTION_PARAMS`
`static java.lang.String` | `IS_LAZY_LOADING_TRUE`
`static java.lang.String` | `IS_STATELESS_RUNTIME`
`static java.lang.String` | `JAAS_CREATE_METHODNAME`
`static java.lang.String` | `JAAS_JAZN`
`static java.lang.String` | `JAVA`
`static java.lang.String` | `JBO_323_COMPATIBLE`
`static java.lang.String` | `JBO_903_COMPATIBLE`
`static java.lang.String` | `JBO_EJB_TRANSACTION_TYPE`
`static java.lang.String` | `JBO_MOM_CACHE_SCOPE`
`static java.lang.String` | `JBO_MOM_USES_MDS`
`static java.lang.String` | `JBO_POOL_MANAGER`
`static java.lang.String` | `JBO_PROJECT` global substitution project name
`static java.lang.String` | `JDBC_DATA_BYTES_CONVERSION`
`static java.lang.String` | `JDBC_DATA_BYTES_CONVERSION_IN_JBO`
`static java.lang.String` | `JDBC_DATA_BYTES_CONVERSION_IN_JDBC`
`static java.lang.String` | `JDBC_MARKER`
`static java.lang.String` | `JDBC_ODBC_DRIVER_CLASS`
`static java.lang.String` | `JDBC_POOL_MAX_AVAIL_SIZE_DEFAULT`
`static java.lang.String` | `JDBC_POOL_MAX_INACTIVE_AGE_DEFAULT`
`static java.lang.String` | `JDBC_POOL_MIN_AVAIL_SIZE_DEFAULT`
`static java.lang.String` | `JDBC_POOL_MONITOR_SLEEP_INTERVAL_DEFAULT`
`static java.lang.String` | `JDBC_POOL_REQUEST_TIMEOUT_DEFAULT`
`static java.lang.String` | `JDBC_POOL_TIME_TO_LIVE_DEFAULT`
`static java.lang.String` | `JNDI_EJB_SUBCONTEXT`
`static java.lang.String` | `JNDI_ENV_PREFIX`
`static java.lang.String` | `JU_DYNAMIC_PKG_NAME`
`static java.lang.String` | `KEY_JDBC`
`static java.lang.String` | `KEY_POOL`
`static java.lang.String` | `KEY_PRIVATE`
`static java.lang.String` | `KEY_PUBLIC`
`static java.lang.String` | `MAX_CURSORS_DEFAULT`
`static java.lang.String` | `MAX_JDBC_POOL_SIZE_DEFAULT`
`static java.lang.String` | `MAX_PASSIVATION_STACK_SIZE_DEFAULT`
`static java.lang.String` | `MAX_POOL_COOKIE_AGE_DEFAULT`
`static java.lang.String` | `MOM_CONTEXT_FACTORY`
`static java.lang.String` | `MOM_CONTEXT_FACTORY_DEFAULT`
`static java.lang.String` | `MOM_INITIAL_CONTEXT`
`static java.lang.String` | `MOM_INITIAL_CONTEXT_DEFAULT`
`static java.lang.String` | `OLITE`
`static java.lang.String` | `ORACLE`
`static java.lang.String` | `ORACLEDB`
`static java.lang.String` | `ORD_HTTP_MAX_MEMORY`
`static java.lang.String` | `ORD_HTTP_TEMP_DIR`
`static java.lang.String` | `ORD_QP_CLASS_ID`
`static java.lang.String` | `ORD_QP_CODE_BASE`
`static java.lang.String` | `ORD_QP_PLUGINS_PAGE`
`static java.lang.String` | `ORD_RETRIEVE_PATH`
`static java.lang.String` | `ORD_RP_CLASS_ID`
`static java.lang.String` | `ORD_RP_CODE_BASE`
`static java.lang.String` | `ORD_RP_PLUGINS_PAGE`
`static java.lang.String` | `ORD_WMP_CLASS_ID`
`static java.lang.String` | `ORD_WMP_CODE_BASE`
`static java.lang.String` | `ORD_WMP_PLUGINS_PAGE`
`static java.lang.String` | `PASSIVATION_SAVE_FOR_LATER_DEFAULT`
`static java.lang.String` | `PASSIVATION_STORE_DATABASE`
`static java.lang.String` | `PASSIVATION_STORE_DEFAULT`
`static java.lang.String` | `PASSIVATION_STORE_FILE`
`static java.lang.String` | `PASSIVATION_STORE_NULL`
`static java.lang.String` | `PERSIST_MGR_NONE`
`static java.lang.String` | `PERSIST_MGR_ORACLE`
`static java.lang.String` | `PN_ABSTRACT_BASE_CHECK`
`static java.lang.String` | `PN_APPMODULE_EJB_TYPE`
`static java.lang.String` | `PN_DBTIME_QUERY`
`static java.lang.String` | `PN_JAAS_CONTEXT`
`static java.lang.String` | `PN_JBO_JDBC_TRACE`
`static java.lang.String` | `PN_JDBC_DRIVER_CLASS`
`static java.lang.String` | `PN_LOCKING_MODE`
`static java.lang.String` | `PN_OC4J_VERSION`
`static java.lang.String` | `PN_POOL_MANAGER`
`static java.lang.String` | `PN_SQL92_LOCKTRAILER`
`static java.lang.String` | `PN_SQLBUILDERIMPL`
`static java.lang.String` | `PN_SQLTYPEMAP`
`static java.lang.String` | `PN_VIEWCRITERIA_ADAPTER`
`static java.lang.String` | `POOL_CLASS_NAME_DEFAULT`
`static java.lang.String` | `POOL_RECYCLE_THRESHOLD_DEFAULT`
`static java.lang.String` | `PV_IMPL_CREATE_METHODNAME`
`static java.lang.String` | `SCOPE_APPLICATION`
`static java.lang.String` | `SCOPE_REQUEST`
`static java.lang.String` | `SCOPE_SESSION`
`static java.lang.String` | `SECURITY_DEFAULT_LOGINMODULE`
`static java.lang.String` | `SECURITY_ENFORCE_AUTH`
`static java.lang.String` | `SECURITY_ENFORCE_MUST`
`static java.lang.String` | `SECURITY_ENFORCE_NONE`
`static java.lang.String` | `SECURITY_ENFORCE_TEST`
`static java.lang.String` | `SECURITY_USER_CHECKED`
`static java.lang.String` | `SHARED_DATA_HANDLE` create Shared data handle?
`static java.lang.String` | `SNAPSHOT_STORE_DEFAULT`
`static java.lang.String` | `SNAPSHOT_STORE_PERSISTENT`
`static java.lang.String` | `SNAPSHOT_STORE_TRANSIENT`
`static java.lang.String` | `SQL92`
`static java.lang.String` | `SQLSERVER`
`static java.lang.String` | `STRINGMANAGER_FACTORY_CLASS_DEFAULT`
`static java.lang.String` | `TEMPORARY_FILES_HOME`
`static java.lang.String` | `TRANSACTION_LOCKINGMODE_NONE`
`static java.lang.String` | `TRANSACTION_LOCKINGMODE_OPTIMISTIC`
`static java.lang.String` | `TRANSACTION_LOCKINGMODE_OPTUPDATE`
`static java.lang.String` | `TRANSACTION_LOCKINGMODE_PESSIMISTIC`
`static java.lang.String` | `TRUE`
`static java.lang.String` | `TXN_HANDLE_AFTER_POST_EXC_DEFAULT`
`static java.lang.String` | `USE_DEFINE_COLUMN_LENGTH`
`static java.lang.String` | `USE_DEFINE_COLUMN_LENGTH_BYTES`
`static java.lang.String` | `USE_DEFINE_COLUMN_LENGTH_CHARS`
`static java.lang.String` | `USE_DEFINE_COLUMN_LENGTH_JDBC_DEFAULT`
`static java.lang.String` | `USE_DEFINE_COLUMN_LENGTH_NONE`
`static java.lang.String` | `USE_DEFINE_COLUMN_SKIP_DEFINES`
`static java.lang.String` | `XML_CONTEXT`

Field Detail

### TRUE

    public static final java.lang.String TRUE

  See Also:
    Constant Field Values

### FALSE

    public static final java.lang.String FALSE

  See Also:
    Constant Field Values

### DEFAULT

    public static final java.lang.String DEFAULT

  See Also:
    Constant Field Values

### KEY_PRIVATE

    public static final java.lang.String KEY_PRIVATE

  See Also:
    Constant Field Values

### KEY_PUBLIC

    public static final java.lang.String KEY_PUBLIC

  See Also:
    Constant Field Values

### KEY_JDBC

    public static final java.lang.String KEY_JDBC

  See Also:
    Constant Field Values

### KEY_POOL

    public static final java.lang.String KEY_POOL

  See Also:
    Constant Field Values

### SCOPE_REQUEST

    public static final java.lang.String SCOPE_REQUEST

  See Also:
    Constant Field Values

### SCOPE_SESSION

    public static final java.lang.String SCOPE_SESSION

  See Also:
    Constant Field Values

### SCOPE_APPLICATION

    public static final java.lang.String SCOPE_APPLICATION

  See Also:
    Constant Field Values

### ENV_DEFAULT_LANGUAGE

    public static final java.lang.String ENV_DEFAULT_LANGUAGE

  See Also:
    Constant Field Values

### ENV_DEFAULT_COUNTRY

    public static final java.lang.String ENV_DEFAULT_COUNTRY

  See Also:
    Constant Field Values

### ENV_DEFAULT_LOCALE_VARIANT

    public static final java.lang.String ENV_DEFAULT_LOCALE_VARIANT

  See Also:
    Constant Field Values

### ENV_SECURITY_ENFORCE

    public static final java.lang.String ENV_SECURITY_ENFORCE

  See Also:
    Constant Field Values

### ENV_SECURITY_LOGINMODULE

    public static final java.lang.String ENV_SECURITY_LOGINMODULE

  See Also:
    Constant Field Values

### ENV_SECURITY_AUTHORIZED

    public static final java.lang.String ENV_SECURITY_AUTHORIZED

  See Also:
    Constant Field Values

### ENV_SECURITY_CONFIG

    public static final java.lang.String ENV_SECURITY_CONFIG

  See Also:
    Constant Field Values

### ENV_USER_PRINCIPAL

    public static final java.lang.String ENV_USER_PRINCIPAL

  See Also:
    Constant Field Values

### SECURITY_ENFORCE_NONE

    public static final java.lang.String SECURITY_ENFORCE_NONE

  See Also:
    Constant Field Values

### SECURITY_ENFORCE_TEST

    public static final java.lang.String SECURITY_ENFORCE_TEST

  See Also:
    Constant Field Values

### SECURITY_ENFORCE_MUST

    public static final java.lang.String SECURITY_ENFORCE_MUST

  See Also:
    Constant Field Values

### SECURITY_ENFORCE_AUTH

    public static final java.lang.String SECURITY_ENFORCE_AUTH

  See Also:
    Constant Field Values

### SECURITY_DEFAULT_LOGINMODULE

    public static final java.lang.String SECURITY_DEFAULT_LOGINMODULE

  See Also:
    Constant Field Values

### SECURITY_USER_CHECKED

    public static final java.lang.String SECURITY_USER_CHECKED

  See Also:
    Constant Field Values

### ENV_SIMULATE_REMOTE

    public static final java.lang.String ENV_SIMULATE_REMOTE

  See Also:
    Constant Field Values

### ENV_OBJ_MARSHALLER

    public static final java.lang.String ENV_OBJ_MARSHALLER

  See Also:
    Constant Field Values

### ENV_USE_PERS_COLL

    public static final java.lang.String ENV_USE_PERS_COLL

  See Also:
    Constant Field Values

### ENV_PERS_MAX_ROWS_PER_NODE

    public static final java.lang.String ENV_PERS_MAX_ROWS_PER_NODE

  See Also:
    Constant Field Values

### DEFAULT_MAX_ROWS_PER_NODE

    public static final int DEFAULT_MAX_ROWS_PER_NODE

  See Also:
    Constant Field Values

### DEFAULT_MAX_ACTIVE_NODES

    public static final int DEFAULT_MAX_ACTIVE_NODES

  See Also:
    Constant Field Values

### ENV_PERS_MAX_ACTIVE_NODES

    public static final java.lang.String ENV_PERS_MAX_ACTIVE_NODES

  See Also:
    Constant Field Values

### ENV_PCOLL_MGR

    public static final java.lang.String ENV_PCOLL_MGR

  See Also:
    Constant Field Values

### ENV_STRINGMANAGER_FACTORY_CLASS

    public static final java.lang.String ENV_STRINGMANAGER_FACTORY_CLASS

  See Also:
    Constant Field Values

### STRINGMANAGER_FACTORY_CLASS_DEFAULT

    public static final java.lang.String STRINGMANAGER_FACTORY_CLASS_DEFAULT

  See Also:
    Constant Field Values

### ENV_TXN_TABLE_NAME

    public static final java.lang.String ENV_TXN_TABLE_NAME

  See Also:
    Constant Field Values

### DEFAULT_TXN_TABLE_NAME

    public static final java.lang.String DEFAULT_TXN_TABLE_NAME

  See Also:
    Constant Field Values

### ENV_TXN_SEQ_NAME

    public static final java.lang.String ENV_TXN_SEQ_NAME

  See Also:
    Constant Field Values

### DEFAULT_TXN_SEQ_NAME

    public static final java.lang.String DEFAULT_TXN_SEQ_NAME

  See Also:
    Constant Field Values

### ENV_CONTROL_TABLE_NAME

    public static final java.lang.String ENV_CONTROL_TABLE_NAME

  See Also:
    Constant Field Values

### ENV_TXN_SEQ_INC

    public static final java.lang.String ENV_TXN_SEQ_INC

  See Also:
    Constant Field Values

### DEFAULT_TXN_SEQ_INC

    public static final java.lang.String DEFAULT_TXN_SEQ_INC

  See Also:
    Constant Field Values

### DEFAULT_CONTROL_TABLE_NAME

    public static final java.lang.String DEFAULT_CONTROL_TABLE_NAME

  See Also:
    Constant Field Values

### ENV_FETCH_MODE

    public static final java.lang.String ENV_FETCH_MODE

  See Also:
    Constant Field Values

### ENV_FETCH_AS_NEEDED

    public static final java.lang.String ENV_FETCH_AS_NEEDED

  See Also:
    Constant Field Values

### ENV_FETCH_ALL

    public static final java.lang.String ENV_FETCH_ALL

  See Also:
    Constant Field Values

### ENV_FETCH_DEFAULT

    public static final java.lang.String ENV_FETCH_DEFAULT

  See Also:
    Constant Field Values

### PN_LOCKING_MODE

    public static final java.lang.String PN_LOCKING_MODE

  See Also:
    Constant Field Values

### ENV_ENTITYROWSET_MODE

    public static final java.lang.String ENV_ENTITYROWSET_MODE

  See Also:
    Constant Field Values

### ENV_ENTITYROWSET_INCONSISTENT

    public static final java.lang.String ENV_ENTITYROWSET_INCONSISTENT

  See Also:
    Constant Field Values

### ENV_ENTITYROWSET_NEW_AND_MODIFIED

    public static final java.lang.String ENV_ENTITYROWSET_NEW_AND_MODIFIED

  See Also:
    Constant Field Values

### ENV_VIEWLINK_MODE

    public static final java.lang.String ENV_VIEWLINK_MODE

  See Also:
    Constant Field Values

### ENV_VIEWLINK_INCONSISTENT

    public static final java.lang.String ENV_VIEWLINK_INCONSISTENT

  See Also:
    Constant Field Values

### ENV_VIEWLINK_CONSISTENT

    public static final java.lang.String ENV_VIEWLINK_CONSISTENT

  See Also:
    Constant Field Values

### ENV_VIEWLINK_MODE_DEFAULT

    public static final java.lang.String ENV_VIEWLINK_MODE_DEFAULT

  See Also:
    Constant Field Values

### ENV_MAX_CURSORS

    public static final java.lang.String ENV_MAX_CURSORS

  See Also:
    Constant Field Values

### MAX_CURSORS_DEFAULT

    public static final java.lang.String MAX_CURSORS_DEFAULT

  See Also:
    Constant Field Values

### ENV_MAX_JDBC_POOL_SIZE

    public static final java.lang.String ENV_MAX_JDBC_POOL_SIZE

  See Also:
    Constant Field Values

### MAX_JDBC_POOL_SIZE_DEFAULT

    public static final java.lang.String MAX_JDBC_POOL_SIZE_DEFAULT

  See Also:
    Constant Field Values

### ENV_INIT_JDBC_POOL_SIZE

    public static final java.lang.String ENV_INIT_JDBC_POOL_SIZE

  See Also:
    Constant Field Values

### INIT_JDBC_POOL_SIZE_DEFAULT

    public static final java.lang.String INIT_JDBC_POOL_SIZE_DEFAULT

  See Also:
    Constant Field Values

### ENV_JDBC_POOL_REQUEST_TIMEOUT

    public static final java.lang.String ENV_JDBC_POOL_REQUEST_TIMEOUT

  See Also:
    Constant Field Values

### JDBC_POOL_REQUEST_TIMEOUT_DEFAULT

    public static final java.lang.String JDBC_POOL_REQUEST_TIMEOUT_DEFAULT

  See Also:
    Constant Field Values

### ENV_JDBC_POOL_MONITOR_SLEEP_INTERVAL

    public static final java.lang.String ENV_JDBC_POOL_MONITOR_SLEEP_INTERVAL

  See Also:
    Constant Field Values

### JDBC_POOL_MONITOR_SLEEP_INTERVAL_DEFAULT

    public static final java.lang.String JDBC_POOL_MONITOR_SLEEP_INTERVAL_DEFAULT

  See Also:
    Constant Field Values

### ENV_JDBC_POOL_MIN_AVAIL_SIZE

    public static final java.lang.String ENV_JDBC_POOL_MIN_AVAIL_SIZE

  See Also:
    Constant Field Values

### JDBC_POOL_MIN_AVAIL_SIZE_DEFAULT

    public static final java.lang.String JDBC_POOL_MIN_AVAIL_SIZE_DEFAULT

  See Also:
    Constant Field Values

### ENV_JDBC_POOL_MAX_AVAIL_SIZE

    public static final java.lang.String ENV_JDBC_POOL_MAX_AVAIL_SIZE

  See Also:
    Constant Field Values

### JDBC_POOL_MAX_AVAIL_SIZE_DEFAULT

    public static final java.lang.String JDBC_POOL_MAX_AVAIL_SIZE_DEFAULT

  See Also:
    Constant Field Values

### ENV_JDBC_POOL_MAX_INACTIVE_AGE

    public static final java.lang.String ENV_JDBC_POOL_MAX_INACTIVE_AGE

  See Also:
    Constant Field Values

### JDBC_POOL_MAX_INACTIVE_AGE_DEFAULT

    public static final java.lang.String JDBC_POOL_MAX_INACTIVE_AGE_DEFAULT

  See Also:
    Constant Field Values

### ENV_JDBC_POOL_TIME_TO_LIVE

    public static final java.lang.String ENV_JDBC_POOL_TIME_TO_LIVE

  See Also:
    Constant Field Values

### JDBC_POOL_TIME_TO_LIVE_DEFAULT

    public static final java.lang.String JDBC_POOL_TIME_TO_LIVE_DEFAULT

  See Also:
    Constant Field Values

### PN_POOL_MANAGER

    public static final java.lang.String PN_POOL_MANAGER

  See Also:
    Constant Field Values

### JBO_POOL_MANAGER

    public static final java.lang.String JBO_POOL_MANAGER

  See Also:
    Constant Field Values

### ENV_DO_FAILOVER

    public static final java.lang.String ENV_DO_FAILOVER

  See Also:
    Constant Field Values

### DO_FAILOVER_DEFAULT

    public static final java.lang.String DO_FAILOVER_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_WRITE_COOKIE_TO_CLIENT

    public static final java.lang.String ENV_AMPOOL_WRITE_COOKIE_TO_CLIENT

  See Also:
    Constant Field Values

### AMPOOL_WRITE_COOKIE_TO_CLIENT

    public static final java.lang.String AMPOOL_WRITE_COOKIE_TO_CLIENT

  See Also:
    Constant Field Values

### ENV_POOL_RECYCLE_THRESHOLD

    public static final java.lang.String ENV_POOL_RECYCLE_THRESHOLD

  See Also:
    Constant Field Values

### POOL_RECYCLE_THRESHOLD_DEFAULT

    public static final java.lang.String POOL_RECYCLE_THRESHOLD_DEFAULT

  See Also:
    Constant Field Values

### ENV_DO_CONNECTION_POOLING

    public static final java.lang.String ENV_DO_CONNECTION_POOLING

  See Also:
    Constant Field Values

### DO_CONNECTION_POOLING_DEFAULT

    public static final java.lang.String DO_CONNECTION_POOLING_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_DYNAMIC_JDBC_CREDENTIALS

    public static final java.lang.String ENV_AMPOOL_DYNAMIC_JDBC_CREDENTIALS

  See Also:
    Constant Field Values

### AMPOOL_DYNAMIC_JDBC_CREDENTIALS

    public static final java.lang.String AMPOOL_DYNAMIC_JDBC_CREDENTIALS

  See Also:
    Constant Field Values

### ENV_AMPOOL_RESET_NON_TRANSACTIONAL_STATE

    public static final java.lang.String ENV_AMPOOL_RESET_NON_TRANSACTIONAL_STATE

  See Also:
    Constant Field Values

### AMPOOL_RESET_NON_TRANSACTIONAL_STATE

    public static final java.lang.String AMPOOL_RESET_NON_TRANSACTIONAL_STATE

  See Also:
    Constant Field Values

### ENV_AMPOOL_CONNECTION_STRATEGY_CLASS_NAME

    public static final java.lang.String ENV_AMPOOL_CONNECTION_STRATEGY_CLASS_NAME

  See Also:
    Constant Field Values

### AMPOOL_CONNECTION_STRATEGY_CLASS_NAME

    public static final java.lang.String AMPOOL_CONNECTION_STRATEGY_CLASS_NAME

  See Also:
    Constant Field Values

### ENV_AMPOOL_COOKIE_FACTORY_CLASS_NAME

    public static final java.lang.String ENV_AMPOOL_COOKIE_FACTORY_CLASS_NAME

  See Also:
    Constant Field Values

### AMPOOL_COOKIE_FACTORY_CLASS_NAME

    public static final java.lang.String AMPOOL_COOKIE_FACTORY_CLASS_NAME

  See Also:
    Constant Field Values

### AMPOOL_REMOTE_COOKIE_FACTORY_CLASS_NAME

    public static final java.lang.String AMPOOL_REMOTE_COOKIE_FACTORY_CLASS_NAME

  See Also:
    Constant Field Values

### ENV_AMPOOL_MAX_POOL_SIZE

    public static final java.lang.String ENV_AMPOOL_MAX_POOL_SIZE

  See Also:
    Constant Field Values

### AMPOOL_MAX_POOL_SIZE_DEFAULT

    public static final java.lang.String AMPOOL_MAX_POOL_SIZE_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_INIT_POOL_SIZE

    public static final java.lang.String ENV_AMPOOL_INIT_POOL_SIZE

  See Also:
    Constant Field Values

### AMPOOL_INIT_POOL_SIZE_DEFAULT

    public static final java.lang.String AMPOOL_INIT_POOL_SIZE_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_MONITOR_SLEEP_INTERVAL

    public static final java.lang.String ENV_AMPOOL_MONITOR_SLEEP_INTERVAL

  See Also:
    Constant Field Values

### AMPOOL_MONITOR_SLEEP_INTERVAL_DEFAULT

    public static final java.lang.String AMPOOL_MONITOR_SLEEP_INTERVAL_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_MIN_AVAIL_SIZE

    public static final java.lang.String ENV_AMPOOL_MIN_AVAIL_SIZE

  See Also:
    Constant Field Values

### AMPOOL_MIN_AVAIL_SIZE_DEFAULT

    public static final java.lang.String AMPOOL_MIN_AVAIL_SIZE_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_MAX_AVAIL_SIZE

    public static final java.lang.String ENV_AMPOOL_MAX_AVAIL_SIZE

  See Also:
    Constant Field Values

### AMPOOL_MAX_AVAIL_SIZE_DEFAULT

    public static final java.lang.String AMPOOL_MAX_AVAIL_SIZE_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_MAX_INACTIVE_AGE

    public static final java.lang.String ENV_AMPOOL_MAX_INACTIVE_AGE

  See Also:
    Constant Field Values

### AMPOOL_MAX_INACTIVE_AGE_DEFAULT

    public static final java.lang.String AMPOOL_MAX_INACTIVE_AGE_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_TIME_TO_LIVE

    public static final java.lang.String ENV_AMPOOL_TIME_TO_LIVE

  See Also:
    Constant Field Values

### AMPOOL_TIME_TO_LIVE_DEFAULT

    public static final java.lang.String AMPOOL_TIME_TO_LIVE_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_DO_AM_POOLING

    public static final java.lang.String ENV_AMPOOL_DO_AM_POOLING

  See Also:
    Constant Field Values

### AMPOOL_DO_AM_POOLING_DEFAULT

    public static final java.lang.String AMPOOL_DO_AM_POOLING_DEFAULT

  See Also:
    Constant Field Values

### ENV_AMPOOL_IS_USE_EXCLUSIVE

    public static final java.lang.String ENV_AMPOOL_IS_USE_EXCLUSIVE

  See Also:
    Constant Field Values

### AMPOOL_IS_USE_EXCLUSIVE_DEFAULT

    public static final java.lang.String AMPOOL_IS_USE_EXCLUSIVE_DEFAULT

  See Also:
    Constant Field Values

### ENV_VO_TRACK_INSERT

    public static final java.lang.String ENV_VO_TRACK_INSERT

  See Also:
    Constant Field Values

### ENV_PASSIVATION_STORE

    public static final java.lang.String ENV_PASSIVATION_STORE

  See Also:
    Constant Field Values

### PASSIVATION_STORE_DATABASE

    public static final java.lang.String PASSIVATION_STORE_DATABASE

  See Also:
    Constant Field Values

### PASSIVATION_STORE_FILE

    public static final java.lang.String PASSIVATION_STORE_FILE

  See Also:
    Constant Field Values

### PASSIVATION_STORE_NULL

    public static final java.lang.String PASSIVATION_STORE_NULL

  See Also:
    Constant Field Values

### PASSIVATION_STORE_DEFAULT

    public static final java.lang.String PASSIVATION_STORE_DEFAULT

  See Also:
    Constant Field Values

### ENV_PASSIVATION_SAVE_FOR_LATER

    public static final java.lang.String ENV_PASSIVATION_SAVE_FOR_LATER

  See Also:
    Constant Field Values

### PASSIVATION_SAVE_FOR_LATER_DEFAULT

    public static final java.lang.String PASSIVATION_SAVE_FOR_LATER_DEFAULT

  See Also:
    Constant Field Values

### ENV_SNAPSHOT_STORE_UNDO

    public static final java.lang.String ENV_SNAPSHOT_STORE_UNDO

  See Also:
    Constant Field Values

### SNAPSHOT_STORE_TRANSIENT

    public static final java.lang.String SNAPSHOT_STORE_TRANSIENT

  See Also:
    Constant Field Values

### SNAPSHOT_STORE_PERSISTENT

    public static final java.lang.String SNAPSHOT_STORE_PERSISTENT

  See Also:
    Constant Field Values

### SNAPSHOT_STORE_DEFAULT

    public static final java.lang.String SNAPSHOT_STORE_DEFAULT

  See Also:
    Constant Field Values

### ENV_MAX_PASSIVATION_STACK_SIZE

    public static final java.lang.String ENV_MAX_PASSIVATION_STACK_SIZE

  See Also:
    Constant Field Values

### MAX_PASSIVATION_STACK_SIZE_DEFAULT

    public static final java.lang.String MAX_PASSIVATION_STACK_SIZE_DEFAULT

  See Also:
    Constant Field Values

### ENV_TXN_HANDLE_AFTER_POST_EXC

    public static final java.lang.String ENV_TXN_HANDLE_AFTER_POST_EXC

  See Also:
    Constant Field Values

### TXN_HANDLE_AFTER_POST_EXC_DEFAULT

    public static final java.lang.String TXN_HANDLE_AFTER_POST_EXC_DEFAULT

  See Also:
    Constant Field Values

### ENV_BC4J_CONNECT_FAILOVER

    public static final java.lang.String ENV_BC4J_CONNECT_FAILOVER

  See Also:
    Constant Field Values

### BC4J_CONNECT_FAILOVER_DEFAULT

    public static final java.lang.String BC4J_CONNECT_FAILOVER_DEFAULT

  See Also:
    Constant Field Values

### AM_RELEASE_MODE

    public static final java.lang.String AM_RELEASE_MODE

  See Also:
    Constant Field Values

### AM_RELEASE_RESERVED

    public static final java.lang.String AM_RELEASE_RESERVED

  See Also:
    Constant Field Values

### AM_RELEASE_STATEFUL

    public static final java.lang.String AM_RELEASE_STATEFUL

  See Also:
    Constant Field Values

### AM_RELEASE_STATELESS

    public static final java.lang.String AM_RELEASE_STATELESS

  See Also:
    Constant Field Values

### AM_RELEASE_DEFAULT

    public static final java.lang.String AM_RELEASE_DEFAULT

  See Also:
    Constant Field Values

### ENV_MAX_POOL_COOKIE_AGE

    public static final java.lang.String ENV_MAX_POOL_COOKIE_AGE

  See Also:
    Constant Field Values

### MAX_POOL_COOKIE_AGE_DEFAULT

    public static final java.lang.String MAX_POOL_COOKIE_AGE_DEFAULT

  See Also:
    Constant Field Values

### ENV_POOL_CLASS_NAME

    public static final java.lang.String ENV_POOL_CLASS_NAME

  See Also:
    Constant Field Values

### POOL_CLASS_NAME_DEFAULT

    public static final java.lang.String POOL_CLASS_NAME_DEFAULT

  See Also:
    Constant Field Values

### IS_STATELESS_RUNTIME

    public static final java.lang.String IS_STATELESS_RUNTIME

  See Also:
    Constant Field Values

### PN_VIEWCRITERIA_ADAPTER

    public static final java.lang.String PN_VIEWCRITERIA_ADAPTER

  See Also:
    Constant Field Values

### PN_SQLTYPEMAP

    public static final java.lang.String PN_SQLTYPEMAP

  See Also:
    Constant Field Values

### PN_SQLBUILDERIMPL

    public static final java.lang.String PN_SQLBUILDERIMPL

  See Also:
    Constant Field Values

### PN_JDBC_DRIVER_CLASS

    public static final java.lang.String PN_JDBC_DRIVER_CLASS

  See Also:
    Constant Field Values

### PN_SQL92_LOCKTRAILER

    public static final java.lang.String PN_SQL92_LOCKTRAILER

  See Also:
    Constant Field Values

### DEFAULT_SQL92_LOCKTRAILER

    public static final java.lang.String DEFAULT_SQL92_LOCKTRAILER

  See Also:
    Constant Field Values

### PN_DBTIME_QUERY

    public static final java.lang.String PN_DBTIME_QUERY

  See Also:
    Constant Field Values

### JDBC_ODBC_DRIVER_CLASS

    public static final java.lang.String JDBC_ODBC_DRIVER_CLASS

  See Also:
    Constant Field Values

### DEFAULT_DBTIME_QUERY

    public static final java.lang.String DEFAULT_DBTIME_QUERY

  See Also:
    Constant Field Values

### DOMAIN_DATE_SUPPRESS_ZERO

    public static final java.lang.String DOMAIN_DATE_SUPPRESS_ZERO

  See Also:
    Constant Field Values

### DOMAIN_BIND_SQL_DATE

    public static final java.lang.String DOMAIN_BIND_SQL_DATE

  See Also:
    Constant Field Values

### ORACLEDB

    public static final java.lang.String ORACLEDB

  See Also:
    Constant Field Values

### ORACLE

    public static final java.lang.String ORACLE

  See Also:
    Constant Field Values

### OLITE

    public static final java.lang.String OLITE

  See Also:
    Constant Field Values

### SQL92

    public static final java.lang.String SQL92

  See Also:
    Constant Field Values

### DB2

    public static final java.lang.String DB2

  See Also:
    Constant Field Values

### SQLSERVER

    public static final java.lang.String SQLSERVER

  See Also:
    Constant Field Values

### JAVA

    public static final java.lang.String JAVA

  See Also:
    Constant Field Values

### PV_IMPL_CREATE_METHODNAME

    public static final java.lang.String PV_IMPL_CREATE_METHODNAME

  See Also:
    Constant Field Values

### XML_CONTEXT

    public static final java.lang.String XML_CONTEXT

  See Also:
    Constant Field Values

### PN_JBO_JDBC_TRACE

    public static final java.lang.String PN_JBO_JDBC_TRACE

  See Also:
    Constant Field Values

### JDBC_MARKER

    public static final java.lang.String JDBC_MARKER

  See Also:
    Constant Field Values

### PN_ABSTRACT_BASE_CHECK

    public static final java.lang.String PN_ABSTRACT_BASE_CHECK

  See Also:
    Constant Field Values

### JBO_323_COMPATIBLE

    public static final java.lang.String JBO_323_COMPATIBLE

  See Also:
    Constant Field Values

### JBO_903_COMPATIBLE

    public static final java.lang.String JBO_903_COMPATIBLE

  See Also:
    Constant Field Values

### DYNAMIC_PKG_NAME

    public static final java.lang.String DYNAMIC_PKG_NAME

  See Also:
    Constant Field Values

### JU_DYNAMIC_PKG_NAME

    public static final java.lang.String JU_DYNAMIC_PKG_NAME

  See Also:
    Constant Field Values

### MOM_CONTEXT_FACTORY

    public static final java.lang.String MOM_CONTEXT_FACTORY

  See Also:
    Constant Field Values

### ENV_LOAD_COMP_LAZILY

    public static final java.lang.String ENV_LOAD_COMP_LAZILY

  See Also:
    Constant Field Values

### MOM_CONTEXT_FACTORY_DEFAULT

    public static final java.lang.String MOM_CONTEXT_FACTORY_DEFAULT

  See Also:
    Constant Field Values

### MOM_INITIAL_CONTEXT

    public static final java.lang.String MOM_INITIAL_CONTEXT

  See Also:
    Constant Field Values

### MOM_INITIAL_CONTEXT_DEFAULT

    public static final java.lang.String MOM_INITIAL_CONTEXT_DEFAULT

  See Also:
    Constant Field Values

### IS_LAZY_LOADING_TRUE

    public static final java.lang.String IS_LAZY_LOADING_TRUE

  See Also:
    Constant Field Values

### JBO_MOM_CACHE_SCOPE

    public static final java.lang.String JBO_MOM_CACHE_SCOPE

  See Also:
    Constant Field Values

### ADFM_MOM_CACHE_SCOPE

    public static final java.lang.String ADFM_MOM_CACHE_SCOPE

  See Also:
    Constant Field Values

### JBO_MOM_USES_MDS

    public static final java.lang.String JBO_MOM_USES_MDS

  See Also:
    Constant Field Values

### ADFM_MOM_USES_MDS

    public static final java.lang.String ADFM_MOM_USES_MDS

  See Also:
    Constant Field Values

### GLOBAL_SUBSTITUTION

    public static final java.lang.String GLOBAL_SUBSTITUTION

  See Also:
    Constant Field Values

### JBO_PROJECT

    public static final java.lang.String JBO_PROJECT

  global substitution project name
  See Also:
    Constant Field Values

### SHARED_DATA_HANDLE

    public static final java.lang.String SHARED_DATA_HANDLE

  create Shared data handle?
  See Also:
    Constant Field Values

### HANDLE_NAME

    public static final java.lang.String HANDLE_NAME

  See Also:
    Constant Field Values

### USE_DEFINE_COLUMN_LENGTH

    public static final java.lang.String USE_DEFINE_COLUMN_LENGTH

  See Also:
    Constant Field Values

### USE_DEFINE_COLUMN_LENGTH_BYTES

    public static final java.lang.String USE_DEFINE_COLUMN_LENGTH_BYTES

  See Also:
    Constant Field Values

### USE_DEFINE_COLUMN_LENGTH_CHARS

    public static final java.lang.String USE_DEFINE_COLUMN_LENGTH_CHARS

  See Also:
    Constant Field Values

### USE_DEFINE_COLUMN_LENGTH_JDBC_DEFAULT

    public static final java.lang.String USE_DEFINE_COLUMN_LENGTH_JDBC_DEFAULT

  See Also:
    Constant Field Values

### USE_DEFINE_COLUMN_LENGTH_NONE

    public static final java.lang.String USE_DEFINE_COLUMN_LENGTH_NONE

  See Also:
    Constant Field Values

### USE_DEFINE_COLUMN_SKIP_DEFINES

    public static final java.lang.String USE_DEFINE_COLUMN_SKIP_DEFINES

  See Also:
    Constant Field Values

### ENV_EJB_TRANSACTION_TIMEOUT

    public static final java.lang.String ENV_EJB_TRANSACTION_TIMEOUT

  See Also:
    Constant Field Values

### ENV_EJB_TRANSACTION_TIMEOUT_DEFAULT

    public static final java.lang.String ENV_EJB_TRANSACTION_TIMEOUT_DEFAULT

  See Also:
    Constant Field Values

### TEMPORARY_FILES_HOME

    public static final java.lang.String TEMPORARY_FILES_HOME

  See Also:
    Constant Field Values

### INTERNAL_CONNECTION_PARAMS

    public static final java.lang.String INTERNAL_CONNECTION_PARAMS

  See Also:
    Constant Field Values

### ENV_SHARED_TRANSACTION

    public static final java.lang.String ENV_SHARED_TRANSACTION

  See Also:
    Constant Field Values

### ENV_EJB_TXN_TYPE

    public static final java.lang.String ENV_EJB_TXN_TYPE

  See Also:
    Constant Field Values

### EJB_TXN_TYPE_GLOBAL

    public static final java.lang.String EJB_TXN_TYPE_GLOBAL

  See Also:
    Constant Field Values

### EJB_TXN_TYPE_LOCAL

    public static final java.lang.String EJB_TXN_TYPE_LOCAL

  See Also:
    Constant Field Values

### ENV_EJB_TXN_TYPE_DEFAULT

    public static final java.lang.String ENV_EJB_TXN_TYPE_DEFAULT

  See Also:
    Constant Field Values

### PERSIST_MGR_ORACLE

    public static final java.lang.String PERSIST_MGR_ORACLE

  See Also:
    Constant Field Values

### PERSIST_MGR_NONE

    public static final java.lang.String PERSIST_MGR_NONE

  See Also:
    Constant Field Values

### ENV_SESSION_CLASS

    public static final java.lang.String ENV_SESSION_CLASS

  See Also:
    Constant Field Values

### ENV_DBTRANSACTION_FACTORY_CLASS

    public static final java.lang.String ENV_DBTRANSACTION_FACTORY_CLASS

  See Also:
    Constant Field Values

### ENV_DEF_MGR_LISTENER

    public static final java.lang.String ENV_DEF_MGR_LISTENER

  See Also:
    Constant Field Values

### ENV_JBO_SCHEMA

    public static final java.lang.String ENV_JBO_SCHEMA

  See Also:
    Constant Field Values

### ENV_JBO_XML_VALIDATION

    public static final java.lang.String ENV_JBO_XML_VALIDATION

  See Also:
    Constant Field Values

### BEANMANAGED_SESSIONBEAN

    public static final java.lang.String BEANMANAGED_SESSIONBEAN

  See Also:
    Constant Field Values

### CONTAINERMANAGED_SESSIONBEAN

    public static final java.lang.String CONTAINERMANAGED_SESSIONBEAN

  See Also:
    Constant Field Values

### BEANMANAGED_SERVICE_SB

    public static final java.lang.String BEANMANAGED_SERVICE_SB

  See Also:
    Constant Field Values

### CONTAINERMANAGED_SERVICE_SB

    public static final java.lang.String CONTAINERMANAGED_SERVICE_SB

  See Also:
    Constant Field Values

### PN_APPMODULE_EJB_TYPE

    public static final java.lang.String PN_APPMODULE_EJB_TYPE

  See Also:
    Constant Field Values

### ENV_TRANSACTION_LOCKINGMODE

    public static final java.lang.String ENV_TRANSACTION_LOCKINGMODE

  See Also:
    Constant Field Values

### TRANSACTION_LOCKINGMODE_NONE

    public static final java.lang.String TRANSACTION_LOCKINGMODE_NONE

  See Also:
    Constant Field Values

### TRANSACTION_LOCKINGMODE_OPTIMISTIC

    public static final java.lang.String TRANSACTION_LOCKINGMODE_OPTIMISTIC

  See Also:
    Constant Field Values

### TRANSACTION_LOCKINGMODE_OPTUPDATE

    public static final java.lang.String TRANSACTION_LOCKINGMODE_OPTUPDATE

  See Also:
    Constant Field Values

### TRANSACTION_LOCKINGMODE_PESSIMISTIC

    public static final java.lang.String TRANSACTION_LOCKINGMODE_PESSIMISTIC

  See Also:
    Constant Field Values

### JDBC_DATA_BYTES_CONVERSION

    public static final java.lang.String JDBC_DATA_BYTES_CONVERSION

  See Also:
    Constant Field Values

### JDBC_DATA_BYTES_CONVERSION_IN_JDBC

    public static final java.lang.String JDBC_DATA_BYTES_CONVERSION_IN_JDBC

  See Also:
    Constant Field Values

### JDBC_DATA_BYTES_CONVERSION_IN_JBO

    public static final java.lang.String JDBC_DATA_BYTES_CONVERSION_IN_JBO

  See Also:
    Constant Field Values

### ENV_DISCONNECT_LEVEL

    public static final java.lang.String ENV_DISCONNECT_LEVEL

  See Also:
    Constant Field Values

### ENV_DISCONNECT_LEVEL_DEFAULT

    public static final java.lang.String ENV_DISCONNECT_LEVEL_DEFAULT

  See Also:
    Constant Field Values

### ENV_DISCONNECT_LEVEL_DISCONNECT_QC

    public static final int ENV_DISCONNECT_LEVEL_DISCONNECT_QC

  See Also:
    Constant Field Values

### ENV_DISCONNECT_LEVEL_CLOSE_RESULT_SETS

    public static final int ENV_DISCONNECT_LEVEL_CLOSE_RESULT_SETS

  See Also:
    Constant Field Values

### ENV_DISCONNECT_LEVEL_THROW

    public static final int ENV_DISCONNECT_LEVEL_THROW

  See Also:
    Constant Field Values

### ENV_JBO_IN_OC4J

    public static final java.lang.String ENV_JBO_IN_OC4J

  See Also:
    Constant Field Values

### ENV_JBO_EJB_SERVER_VENDOR

    public static final java.lang.String ENV_JBO_EJB_SERVER_VENDOR

  See Also:
    Constant Field Values

### EJB_SERVER_VENDOR_UNKNOWN

    public static final int EJB_SERVER_VENDOR_UNKNOWN

  See Also:
    Constant Field Values

### EJB_SERVER_VENDOR_IAS

    public static final int EJB_SERVER_VENDOR_IAS

  See Also:
    Constant Field Values

### EJB_SERVER_VENDOR_WEBLOGIC

    public static final int EJB_SERVER_VENDOR_WEBLOGIC

  See Also:
    Constant Field Values

### ORD_HTTP_MAX_MEMORY

    public static final java.lang.String ORD_HTTP_MAX_MEMORY

  See Also:
    Constant Field Values

### ORD_HTTP_TEMP_DIR

    public static final java.lang.String ORD_HTTP_TEMP_DIR

  See Also:
    Constant Field Values

### APPMODULE_JNDI_NAME

    public static final java.lang.String APPMODULE_JNDI_NAME

  See Also:
    Constant Field Values

### ORD_WMP_CLASS_ID

    public static final java.lang.String ORD_WMP_CLASS_ID

  See Also:
    Constant Field Values

### ORD_QP_CLASS_ID

    public static final java.lang.String ORD_QP_CLASS_ID

  See Also:
    Constant Field Values

### ORD_RP_CLASS_ID

    public static final java.lang.String ORD_RP_CLASS_ID

  See Also:
    Constant Field Values

### ORD_WMP_CODE_BASE

    public static final java.lang.String ORD_WMP_CODE_BASE

  See Also:
    Constant Field Values

### ORD_QP_CODE_BASE

    public static final java.lang.String ORD_QP_CODE_BASE

  See Also:
    Constant Field Values

### ORD_RP_CODE_BASE

    public static final java.lang.String ORD_RP_CODE_BASE

  See Also:
    Constant Field Values

### ORD_WMP_PLUGINS_PAGE

    public static final java.lang.String ORD_WMP_PLUGINS_PAGE

  See Also:
    Constant Field Values

### ORD_QP_PLUGINS_PAGE

    public static final java.lang.String ORD_QP_PLUGINS_PAGE

  See Also:
    Constant Field Values

### ORD_RP_PLUGINS_PAGE

    public static final java.lang.String ORD_RP_PLUGINS_PAGE

  See Also:
    Constant Field Values

### ORD_RETRIEVE_PATH

    public static final java.lang.String ORD_RETRIEVE_PATH

  See Also:
    Constant Field Values

### ENV_EJB_DISCONNECT_ON_TXN_COMPLETION

    public static final java.lang.String ENV_EJB_DISCONNECT_ON_TXN_COMPLETION

  See Also:
    Constant Field Values

### PN_OC4J_VERSION

    public static final java.lang.String PN_OC4J_VERSION

  See Also:
    Constant Field Values

### JNDI_ENV_PREFIX

    public static final java.lang.String JNDI_ENV_PREFIX

  See Also:
    Constant Field Values

### JNDI_EJB_SUBCONTEXT

    public static final java.lang.String JNDI_EJB_SUBCONTEXT

  See Also:
    Constant Field Values

### ENV_JBO_SERVER_USE_NULLDBTRANSACTION

    public static final java.lang.String ENV_JBO_SERVER_USE_NULLDBTRANSACTION

  See Also:
    Constant Field Values

### PN_JAAS_CONTEXT

    public static final java.lang.String PN_JAAS_CONTEXT

  See Also:
    Constant Field Values

### JAAS_JAZN

    public static final java.lang.String JAAS_JAZN

  See Also:
    Constant Field Values

### JAAS_CREATE_METHODNAME

    public static final java.lang.String JAAS_CREATE_METHODNAME

  See Also:
    Constant Field Values

### JBO_EJB_TRANSACTION_TYPE

    public static final java.lang.String JBO_EJB_TRANSACTION_TYPE

  See Also:
    Constant Field Values

### BEAN_MANAGED_TRANSACTION

    public static final java.lang.String BEAN_MANAGED_TRANSACTION

  See Also:
    Constant Field Values

### CONTAINER_MANAGED_TRANSACTION

    public static final java.lang.String CONTAINER_MANAGED_TRANSACTION

  See Also:
    Constant Field Values

### ENV_JBO_EJB_USE_AMPOOL

    public static final java.lang.String ENV_JBO_EJB_USE_AMPOOL

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.